Bug Hunting Session
Bug 124818 - CRASH: selecting all and switching spreadsheet
Summary: CRASH: selecting all and switching spreadsheet
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-04-18 10:09 UTC by Xisco Faulí
Modified: 2019-05-15 12:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-04-18 10:09:37 UTC
Steps to reproduce:
1. Open attachment 82048 [details] from bug 35712 -> Sheet Feuil1 is displayed
2. Select all ( Ctrl + A )
3. Go to sheet Graph2
4. Select all

-> Crash

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 56bc0b1a376f62570a7287e9bb4193e00360c978
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-04-18 10:11:36 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7282014e362a1529a36c88eb308df8ed359c2cfa

author  Noel Grandin <noel.grandin@collabora.co.uk>     2019-02-01 15:15:16
+0100
committer       Mike Kaganski <mike.kaganski@collabora.com>     2019-04-05
13:43:52 +0200
commit  7282014e362a1529a36c88eb308df8ed359c2cfa (patch)
tree    2776ad9601f494330076ac58c08554e719c6ab3a
parent  df30a4515b1303b0891baa53754fa9b3e47e0c02 (diff)
tdf#50916 Makes numbers of columns dynamic.

Bisected with: bibisect-linux64-6.3

Adding Cc: to Noel Grandin
Comment 2 Xisco Faulí 2019-04-18 10:15:48 UTC
Same problem with attachment 95695 [details] from bug 76104
Comment 3 Commit Notification 2019-04-18 12:17:18 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/5585dfdaf7180c5ab6fb1543ae2b66337c641fd5%5E%21

tdf#124818 CRASH selecting all and switching spreadsheet

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-04-18 13:44:00 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 5585dfdaf7180c5ab6fb1543ae2b66337c641fd5
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Noel Grandin, thanks for fixing this issue!!
Comment 5 Commit Notification 2019-04-28 20:06:49 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3f1d25bb033e48f9338d874fabfe0af8968379e8%5E%21

uitest for bug tdf#124818

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.